2019-12-07 11:58 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003187FSSCPFREDpublic2016-12-11 19:35
Reportermpkerrigan 
Assigned ToMageKing17 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.7.5 
Target VersionFixed in Version3.7.5 
Summary0003187: Destroy Before Mission gets cleared on opening mission file
DescriptionOn recent versions of FRED, opening and modifying a mission where some ships have the "Destroy before mission" flag checked causes the flag to be cleared. If you check the flag, and save, it works. Once you open it, the flag gets cleared.
Steps To ReproduceTested with fsport, sm2-03a.fs2 (La Ruota Della Fortuna). Open it up, see that the flag has been cleared. Check the flag, save, then play the mission to confirm that the flag WAS set upon save.

Additional Information3.7.4 works as intended. I reproduced as far back as a September 11th nightly. I'm having trouble running FRED builds before that, so I'm struggling to pin down exactly which nightly build introduced the bug. I think it started around the same time as issue 0003186 (FRED forgetting preferences).
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0016836

MageKing17 (developer)

Pretty sure I see the problem here; should have a PR shortly.

~0016837

MageKing17 (developer)

And here's the PR: https://github.com/scp-fs2open/fs2open.github.com/pull/1087

~0016838

Goober5000 (administrator)

Reviewed & approved by DahBlount.
+Notes

-Issue History
Date Modified Username Field Change
2016-12-09 20:44 mpkerrigan New Issue
2016-12-09 21:38 MageKing17 Assigned To => MageKing17
2016-12-09 21:38 MageKing17 Status new => assigned
2016-12-09 21:38 MageKing17 Note Added: 0016836
2016-12-09 21:50 MageKing17 Status assigned => code review
2016-12-09 21:50 MageKing17 Note Added: 0016837
2016-12-11 19:35 Goober5000 Status code review => resolved
2016-12-11 19:35 Goober5000 Resolution open => fixed
2016-12-11 19:35 Goober5000 Fixed in Version => 3.7.5
2016-12-11 19:35 Goober5000 Note Added: 0016838
+Issue History